Package org.sunflow.core.bucket

# Class HilbertBucketOrder

java.lang.Object
org.sunflow.core.bucket.HilbertBucketOrder

All Implemented Interfaces:
  `BucketOrder`

public class HilbertBucketOrder extends Object implements BucketOrder

## Constructor Summary

Constructors
Constructor
Description
`HilbertBucketOrder()`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getBucketSequence(int nbw, int nbh)`
Computes the order in which each coordinate on the screen should be visited.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HilbertBucketOrder

public HilbertBucketOrder()

## Method Details

### getBucketSequence

public int[] getBucketSequence(int nbw, int nbh)
Description copied from interface: `BucketOrder`
Computes the order in which each coordinate on the screen should be visited.

Specified by:
  `getBucketSequence` in interface `BucketOrder`
Parameters:
  `nbw` - number of buckets in the X direction
  `nbh` - number of buckets in the Y direction
Returns:
  array of coordinates with interleaved X, Y of the positions of buckets to be rendered.